Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.capabilities
Class CatalogueCapabilitiesDocument_2_0_2

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument
                          org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument_2_0_2

All Implemented Interfaces:
  Serializable

    public class CatalogueCapabilitiesDocument_2_0_2

extends CatalogueCapabilitiesDocument

Represents an XML capabilities document for an OGC CSW 2.0 compliant service.

Since:
  2.0
Version:
  2.0, $Revision: 9345 $, $Date: 2007-12-27 17:22:25 +0100 (Do, 27 Dez 2007) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: apoth $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `OGCNS`

Fields inherited from class org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilitiesDocument
`EBRIM_CAPABILITIES_NAME, FILTER_CAPABILITIES_NAME`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`CatalogueCapabilitiesDocument_2_0_2()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`OperationsMetadata` | `getOperationsMetadata()` Creates a class representation of the `OperationsMetadata`- section.
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`protected EBRIMCapabilities` | `parseEBRIMCapabilities()`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OGCNS

    protected static final URI OGCNS

Constructor Detail

### CatalogueCapabilitiesDocument_2_0_2

    public CatalogueCapabilitiesDocument_2_0_2()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton capabilities document that contains the mandatory elements only.

  Overrides:
    `createEmptyDocument` in class `CatalogueCapabilitiesDocument`
  Throws:
    `IOException`
    `SAXException`

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Creates a class representation of the document.

  Overrides:
    `parseCapabilities` in class `CatalogueCapabilitiesDocument`
  Returns:
    class representation of the configuration document
  Throws:
    `InvalidCapabilitiesException`

### getOperationsMetadata

    public OperationsMetadata getOperationsMetadata()
                                             throws XMLParsingException

  Creates a class representation of the `OperationsMetadata`- section.

  Overrides:
    `getOperationsMetadata` in class `CatalogueCapabilitiesDocument`
  Returns:
    opertaions metadata
  Throws:
    `XMLParsingException`

### parseEBRIMCapabilities

    protected EBRIMCapabilities parseEBRIMCapabilities()
                                                throws XMLParsingException

  Overrides:
    `parseEBRIMCapabilities` in class `CatalogueCapabilitiesDocument`
  Returns:
    a `EBRIMCapabilities` element (specified in the ogc-ebrim extension)
  Throws:
    `XMLParsingException` - if a required node isn't found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org